From 314f2618004c76603fe9328d30dcc50b47c76502 Mon Sep 17 00:00:00 2001
From: wk3368 <wk3368@163.com>
Date: Mon, 21 Nov 2022 01:17:36 +0800
Subject: [PATCH] Rename entryFunctionPayload to functionAptos

---
 src/providers/jsonrpc-provider.ts | 4 ++--
 src/types/index.ts                | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/providers/jsonrpc-provider.ts b/src/providers/jsonrpc-provider.ts
index 0978154..53b182c 100644
--- a/src/providers/jsonrpc-provider.ts
+++ b/src/providers/jsonrpc-provider.ts
@@ -368,7 +368,7 @@ export class JsonRpcSigner extends Signer {
 const allowedTransactionKeys: { [key: string]: boolean } = {
   chainId: true,
   data: true,
-  entryFunctionPayload: true,
+  functionAptos: true,
   gasLimit: true,
   gasPrice: true,
   nonce: true,
@@ -801,7 +801,7 @@ export class JsonRpcProvider extends BaseProvider {
       result[key] = hexlify((<any>transaction)[key]);
     });
 
-    ["entryFunctionPayload"].forEach(function (key) {
+    ["functionAptos"].forEach(function (key) {
       if ((<any>transaction)[key] == null) { return; }
       result[key] = (<any>transaction)[key];
     });
diff --git a/src/types/index.ts b/src/types/index.ts
index 16a537c..23fef77 100644
--- a/src/types/index.ts
+++ b/src/types/index.ts
@@ -327,7 +327,7 @@ export interface TransactionRequest {
   expiredSecs?: U64;
   addGasBufferMultiplier?: U8;
 
-  entryFunctionPayload?: {
+  functionAptos?: {
     type?: string,
     function: string,
     type_arguments: Array<string>,
